## org.biojava.bio.gui.sequence
Class BumpedRenderer

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.gui.sequence.SequenceRendererWrapper
              org.biojava.bio.gui.sequence.BumpedRenderer

All Implemented Interfaces:
  Changeable, SequenceRenderer, java.io.Serializable

public class BumpedRenderer
extends SequenceRendererWrapper

Author:
  Matthew Pocock
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.biojava.bio.gui.sequence.SequenceRenderer
`SequenceRenderer.RendererForwarder`

Field Summary

Fields inherited from class org.biojava.bio.gui.sequence.SequenceRendererWrapper
`RENDERER`

Constructor Summary
`BumpedRenderer()`
`BumpedRenderer(SequenceRenderer renderer)`
`BumpedRenderer(SequenceRenderer renderer, int leading, int trailing)`

Method Summary
`protected java.util.List` `doLayer(SequenceRenderContext src, FeatureFilter filt)`
`protected ChangeSupport` `getChangeSupport(ChangeType ct)` Called to retrieve the ChangeSupport for this object
`double` `getDepth(SequenceRenderContext src)` Retrieve the depth of this renderer when rendering src.
`int` `getLeadingPixles()`
`double` `getMinimumLeader(SequenceRenderContext src)` Retrieve the minimum leading distance for this renderer when rendering src.
`double` `getMinimumTrailer(SequenceRenderContext src)` Retrieve the minimum trailing distance for this renderer when rendering src.
`int` `getTrailingPixles()`
`protected boolean` `hasListeners()`
`protected java.util.List` `layer(SequenceRenderContext src)`
`void` `paint(java.awt.Graphics2D g, SequenceRenderContext src)` Render a portion (possibly all) of the information for src to g, displaying all of the data that would fall within seqBox.
`SequenceViewerEvent` `processMouseEvent(SequenceRenderContext src, java.awt.event.MouseEvent me, java.util.List path)` Produce a SequenceViewerEvent in response to a mouse gesture.
`void` `setLeadingPixles(int leading)`
`void` `setTrailingPixles(int trailing)`

Methods inherited from class org.biojava.bio.gui.sequence.SequenceRendererWrapper
`getRenderer, setRenderer`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BumpedRenderer

    public BumpedRenderer()

### BumpedRenderer

    public BumpedRenderer(SequenceRenderer renderer)

### BumpedRenderer

    public BumpedRenderer(SequenceRenderer renderer,
                          int leading,
                          int trailing)

Method Detail

### getLeadingPixles

    public int getLeadingPixles()

### setLeadingPixles

    public void setLeadingPixles(int leading)

### getTrailingPixles

    public int getTrailingPixles()

### setTrailingPixles

    public void setTrailingPixles(int trailing)

### hasListeners

    protected boolean hasListeners()

  Overrides:
    `hasListeners` in class `AbstractChangeable`

### getChangeSupport

    protected ChangeSupport getChangeSupport(ChangeType ct)

  Description copied from class: `AbstractChangeable`
  Called to retrieve the ChangeSupport for this object

  Overrides:
    `getChangeSupport` in class `SequenceRendererWrapper`

### getDepth

    public double getDepth(SequenceRenderContext src)

  Description copied from interface: `SequenceRenderer`
  Retrieve the depth of this renderer when rendering src.

  The depth may vary between sequence panels - for example based upon sequence length. Each line of information in the SequenceRendererContext only renders a region of the sequence. The depth for one complete line may be different from that for another due to the sequence having more or less information in that region to show. For example, a feature renderer implementation may chose to collapse down to a depth of zero pixels if there are no features to render within a region.

  Specified by:
    `getDepth` in interface `SequenceRenderer`
  Overrides:
    `getDepth` in class `SequenceRendererWrapper`

### getMinimumLeader

    public double getMinimumLeader(SequenceRenderContext src)

  Description copied from interface: `SequenceRenderer`
  Retrieve the minimum leading distance for this renderer when rendering src.

  The leading distance may vary between sequence panels - for example based upon sequence length.

  Specified by:
    `getMinimumLeader` in interface `SequenceRenderer`
  Overrides:
    `getMinimumLeader` in class `SequenceRendererWrapper`

### getMinimumTrailer

    public double getMinimumTrailer(SequenceRenderContext src)

  Description copied from interface: `SequenceRenderer`
  Retrieve the minimum trailing distance for this renderer when rendering src.

  The trailing distance may vary between sequence panels - for example based upon sequence length.

  Specified by:
    `getMinimumTrailer` in interface `SequenceRenderer`
  Overrides:
    `getMinimumTrailer` in class `SequenceRendererWrapper`

### paint

    public void paint(java.awt.Graphics2D g,
                      SequenceRenderContext src)

  Description copied from interface: `SequenceRenderer`
  Render a portion (possibly all) of the information for src to g, displaying all of the data that would fall within seqBox.

  Specified by:
    `paint` in interface `SequenceRenderer`
  Overrides:
    `paint` in class `SequenceRendererWrapper`

### processMouseEvent

    public SequenceViewerEvent processMouseEvent(SequenceRenderContext src,
                                                 java.awt.event.MouseEvent me,
                                                 java.util.List path)

  Description copied from interface: `SequenceRenderer`
  Produce a SequenceViewerEvent in response to a mouse gesture.

  A SequenceRenderer that performs any form of coordinate remapping should ensure that it appropriately transforms the mouse event. However, in the SequenceViewerEvent returned, the MouseEvent should be in untransformed coordinates.

  The SequenceRenderer implementation should append itself to the path list before constructing the SequenceViewerEvent.

  Specified by:
    `processMouseEvent` in interface `SequenceRenderer`
  Overrides:
    `processMouseEvent` in class `SequenceRendererWrapper`

### layer

    protected java.util.List layer(SequenceRenderContext src)

### doLayer

    protected java.util.List doLayer(SequenceRenderContext src,
                                     FeatureFilter filt)